<?php
$loader = $this->registry->get('load');
$loader->controller('product/productList');

class ControllerModuleBestSeller extends ControllerProductProductList {

	public function index($setting=null) {
    $this->language->load('module/bestseller');

        if (isset($setting['hide_title'])) {
            $heading_title = false;
        } else {
            $heading_title = ($this->config->get('bestseller_title')) ? $this->config->get('bestseller_title') : $this->language->get('heading_title');
        }

		$this->data['heading_title']    = $heading_title;
        $this->data['grid']             = (isset($setting['entry_type'])) ? $setting['entry_type'] : 0;
        $this->data['product_list_title_style'] =  $this->config->get('product_list_title_style');
        $this->data['Type_ProductListTitleStyle'] = $this->load->typeForTwig('Type_ProductListTitleStyle');

        $this->childrenData = array(
            'product/productList/moduleBestseller' => $setting
        );

		$this->render('module/bestseller');
	}

}
